ubuntu下python版本更新问题

永远不要删除/usr/bin下系统默认的python!!!切记!

使用的是ubuntu 10.04 lts版本,其中自带python为2.6.5。前几天一时手痒,把python升级为了2.7.3。

# ./configure –prefix=/usr/local/python2.7# make# make install

# cd /usr/bin# ln -sf /usr/local/bin/python python

一切顺利哇,没有任何问题哇! 但是,但是,我做了万恶的一步

ln -sf /usr/local/bin/python python2.6

就是这样的一步哇,把我推上了不归路,系统各种功能无法使用了,比如ubuntu软件中心。apt-get upgrade也会出现问题,提示python版本不符,改为默认版本。但是我已经把python2.6给覆盖删除了。

我以为换成2.6就行了,下载了2.6.8,2.6.5编译安装都不行,看来只能去找原来的python2.6,也幸好我原来安装过10.04的虚拟机,从上面拷贝了一份才解决了问题。

所以再次提醒大家,不要删除/usr/bin下的pythonx.x,永远不要动它!最好将其备份一下。

//~end~

Posted in 未分类